<?php

namespace App\Repositories;

use App\BoxSettings;

class BoxSettingsRepository implements RepositoryInterface {
    public static function all() {
        return BoxSettings::all();
    }

    public static function create(array $data){
        return BoxSettings::create($data);
    }

    public static function update(array $data, $id){
        BoxSettings::where('id',$id)->update($data);
        return BoxSettings::findOrFail($id);
    }

    public static function delete($id){
        return BoxSettings::destroy($id);
    }

    public static function find($id){
        return BoxSettings::findOrFail($id);
    }

}
